{% load static %}
{% load wagtailcore_tags %}

<script>
  function toggleMenu() {
    const menu = document.getElementById('mobile-menu');
    if (menu) {
      menu.classList.toggle('hidden');
    }
  }  
</script>

<nav class="bg-transparent w-full z-20 top-0 left-0">

  <div class="max-w-screen-xl flex flex-wrap items-center justify-between mx-auto mt-4">
    <!-- Mobile Menu Toggle Button -->
    <button data-collapse-toggle="mobile-menu" type="button" class="inline-flex items-center p-2 w-10 h-10 justify-center text-sm text-dark rounded-lg md:hidden hover:bg-gray-100 focus:outline-none focus:ring-2 focus:ring-gray-200 dark:text-gray-400 dark:hover:bg-gray-700 dark:focus:ring-gray-600" aria-controls="mobile-menu" aria-expanded="false">
      <span class="sr-only">Open main menu</span>
      <svg class="w-5 h-5" aria-hidden="true" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 17 14">
        <path stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M1 1h15M1 7h15M1 13h15" />
      </svg>
    </button>
    <!-- Logo -->
    <div class="flex flex-row items-center justify-center space-x-10">
      <a href="/">
          <img class="h-15 w-auto m-4" src="{% static 'img/logo_black.png' %}" alt="Logo" />
      </a>
        <div class="hidden md:block space-x-10">
          {% for item in menu_items %}
            <a href="{{ item.link }}" class="text-md uppercase font-bold text-dark dark:text-white hover:text-blue-500 dark:hover:text-blue-400" {% if item.open_in_new_tab %}target="_blank"{% endif %}>
              {{ item.title }}
            </a>
          {% endfor %}
        </div>
    </div>
    <!-- Desktop Menu (fixed) -->
    <!-- Login Button desktop -->
     {% if request.user.is_anonymous %}
      <div class="md:order-2 hidden md:block space-x-3">
        <a href="{{ login_url }}" class="login-button focus:ring-4 focus:outline-none focus:ring-blue-300 font-medium rounded-lg text-sm px-4 py-2 text-center bg-lightYellow hover:bg-darkYellow text-darkGray hover:text-darkGray dark:bg-blue-600 dark:hover:bg-blue-700 dark:focus:ring-blue-800">
          <i class="fa-solid fa-right-to-bracket mr-2"></i>Login
        </a>
      </div>
      <!-- Login Button mobile -->
      <div class="md:hidden space-x-3">
        <a href="{{ login_url }}" class="login-button focus:ring-4 focus:outline-none focus:ring-blue-300 font-medium rounded-lg text-sm px-4 py-2 text-center bg-transparent">
          <i class="fa-solid fa-right-to-bracket mr-2 text-dark text-5xl icons-lg"></i>
        </a>
      </div>
    {% endif %}
  </div>
  <!-- Mobile Menu -->
  <div class="fixed inset-0 z-50 hidden md:hidden" id="mobile-menu" style="background-color: rgba(57, 58, 57)">
    <!-- Close Button -->
    <button onclick="toggleMenu()" class="absolute top-4 padding-2 right-0 z-50" style="color: rgb(249, 115, 22);">
      <i class="fas fa-times icons-lg"></i>
    </button>
  
    <div class="flex flex-col items-center justify-start p-4 space-y-2 relative h-full">
      <!-- Menu Items -->
      <ul class="flex flex-col items-start justify-start space-y-3 mt-8 w-full">
        {% for item in menu_items %}
          <li>
            <a href="{{ item.link }}" class="block px-3 padding-menu font-bold text-md uppercase text-dark hover:text-blue-500 mb-4" {% if item.open_in_new_tab %}target="_blank"{% endif %}>
              {{ item.title }}
            </a>
          </li>
        {% endfor %}
      </ul>
        <div class="w-100 flex flex-col-reverse h-100 items-center">
          <div class="w-100">
              <a href="{{ login_url }}" class="block-button focus:ring-4 focus:outline-none focus:ring-blue-300 font-medium rounded-lg text-sm px-4 py-2 text-center bg-lightYellow" style="color: black">
                <i class="fa-solid fa-right-to-bracket mr-2 text-2xl"></i> Login
              </a>
          </div>
        </div>
    </div>
  </div>
  <div class="max-w-screen-xl flex flex-wrap items-center justify-start mx-auto mt-14">
    <!-- Home link -->
     <div class="flex gap-1">
       <a href="/" class="text-gray-700 hover:text-black flex gap-1">
         <!-- House Icon -->
         <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 20 20" fill="currentColor">
           <path d="M10.7069 2.81961C10.5194 2.63214 10.2651 2.52682 9.99992 2.52682C9.73475 2.52682 9.48045 2.63214 9.29292 2.81961L2.29292 9.81961C2.11076 10.0082 2.00997 10.2608 2.01224 10.523C2.01452 10.7852 2.11969 11.036 2.3051 11.2214C2.49051 11.4068 2.74132 11.512 3.00352 11.5143C3.26571 11.5166 3.51832 11.4158 3.70692 11.2336L3.99992 10.9406V17.5266C3.99992 17.7918 4.10528 18.0462 4.29281 18.2337C4.48035 18.4213 4.7347 18.5266 4.99992 18.5266H6.99992C7.26514 18.5266 7.51949 18.4213 7.70703 18.2337C7.89456 18.0462 7.99992 17.7918 7.99992 17.5266V15.5266C7.99992 15.2614 8.10528 15.007 8.29281 14.8195C8.48035 14.632 8.7347 14.5266 8.99992 14.5266H10.9999C11.2651 14.5266 11.5195 14.632 11.707 14.8195C11.8946 15.007 11.9999 15.2614 11.9999 15.5266V17.5266C11.9999 17.7918 12.1053 18.0462 12.2928 18.2337C12.4803 18.4213 12.7347 18.5266 12.9999 18.5266H14.9999C15.2651 18.5266 15.5195 18.4213 15.707 18.2337C15.8946 18.0462 15.9999 17.7918 15.9999 17.5266V10.9406L16.2929 11.2336C16.4815 11.4158 16.7341 11.5166 16.9963 11.5143C17.2585 11.512 17.5093 11.4068 17.6947 11.2214C17.8801 11.036 17.9853 10.7852 17.9876 10.523C17.9899 10.2608 17.8891 10.0082 17.7069 9.81961L10.7069 2.81961Z" />
         </svg>
       
         <!-- "Home" Text -->
         <span class="text-gray-700 text-center">Home</span>
       </a>
       
     
   
       <!-- Loop through path segments -->
       {% for segment in path_segments %}
         <span class="text-gray-400">
           <svg xmlns="http://www.w3.org/2000/svg" width="20" height="21" viewBox="0 0 20 21" fill="none">
             <path fill-rule="evenodd" clip-rule="evenodd" d="M7.29279 15.2336C7.10532 15.0461 7 14.7918 7 14.5266C7 14.2615 7.10532 14.0071 7.29279 13.8196L10.5858 10.5266L7.29279 7.23362C7.11063 7.04502 7.00983 6.79242 7.01211 6.53022C7.01439 6.26802 7.11956 6.01721 7.30497 5.8318C7.49038 5.6464 7.74119 5.54123 8.00339 5.53895C8.26558 5.53667 8.51818 5.63746 8.70679 5.81962L12.7068 9.81962C12.8943 10.0071 12.9996 10.2615 12.9996 10.5266C12.9996 10.7918 12.8943 11.0461 12.7068 11.2336L8.70679 15.2336C8.51926 15.4211 8.26495 15.5264 7.99979 15.5264C7.73462 15.5264 7.48031 15.4211 7.29279 15.2336Z" fill="#9CA3AF"/>
           </svg>
         </span>
   
         {% if forloop.last %}
             <span class="text-gray-700">{{ segment }}</span>
         {% else %}
             <a href="/{{ path_segments|slice:":forloop.counter" | join:'/' }}/" class="text-gray-700 hover:text-black">{{ segment }}</a>
         {% endif %}
       {% endfor %}
  
     </div>
    <div>
    </div>
  </div>
  {% if index_page %}
    <nav class="max-w-screen-xl flex flex-wrap mt-14 items-center justify-around mx-auto ">
      <div class="w-full flex justify-between items-center">
        <h1 class="text-4xl text-darkGray">Notícias</h1>
        <div class="w-80">
          <div class="relative w-full">
            <form method="GET" action="{% pageurl page %}" class="relative w-full">
              <input type="text" name="search" placeholder="Busca" class="w-full p-2 pl-10 border border-gray-700 rounded-lg" value="{{ search_query }}">
              <svg xmlns="http://www.w3.org/2000/svg" class="absolute left-2 top-1/2 transform -translate-y-1/2" width="18" height="19" viewBox="0 0 18 19" fill="none">
                <path d="M15.75 16.2766L11.25 11.7766M12.75 8.02661C12.75 8.71605 12.6142 9.39874 12.3504 10.0357C12.0865 10.6727 11.6998 11.2514 11.2123 11.7389C10.7248 12.2264 10.146 12.6131 9.50909 12.877C8.87213 13.1408 8.18944 13.2766 7.5 13.2766C6.81056 13.2766 6.12787 13.1408 5.49091 12.877C4.85395 12.6131 4.2752 12.2264 3.78769 11.7389C3.30018 11.2514 2.91347 10.6727 2.64963 10.0357C2.3858 9.39874 2.25 8.71605 2.25 8.02661C2.25 6.63422 2.80312 5.29887 3.78769 4.3143C4.77226 3.32973 6.10761 2.77661 7.5 2.77661C8.89239 2.77661 10.2277 3.32973 11.2123 4.3143C12.1969 5.29887 12.75 6.63422 12.75 8.02661Z" stroke="#393A39" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
              </svg>
            </form>
          </div>
        </div>
      </div>
    </nav>
  {% endif %}

</div>
</nav>
